cap cd "C:\Users\Brian_Knight\Dropbox\midterm_gap\qjps_files"

clear

** read in raw anes cumulative data file *
use anes_cdf.dta

** Renaming variables **
rename VCF0004 year
rename  VCF0803 cons_lib_scale
rename  VCF0211 libs
rename  VCF0212 cons
rename  VCF0301 party
rename VCF0303 party2
rename VCF0702 vote 
rename  VCF0705 pres
rename  VCF0707 congressman
rename  VCF0801 cons_lib
rename  VCF0901 state
rename  VCF9088 ideology_dem_pres
rename  VCF9096 ideology_rep_pres

* Generate new variables *

** presidential year **
gen presidential=0
 
	replace presidential=1 if (year==2008 | year==2004 | year==2000 | year==1996 | year==1992 | year==1988 | year==1984 | year==1980 | year==1976 | year==1972 | year==1968 | year==1964 | year==1960 | year==1956 | year==1952 | year==1948)

** midterm year **
gen midterm=0
 
	replace midterm=1 if (year==2002 | year==1998 | year==1994 | year==1990 | year==1986 | year==1982 | year==1978 | year==1974 | year==1970 | year==1966 | year==1962 | year==1958 | year==1954 | year==1950)

** president republican indicator **	
gen pres_rep=.

	replace pres_rep=1 if (year==1954 | year==1958 | year==1970 | year==1974 | year==1982 | year==1986 | year==1990 | year==2002 | year==2006)
	
	replace pres_rep=0 if (year==1962 | year==1966 | year==1978 | year==1994 | year==1998)

** set pres_rep to negative one for democrat president **
gen pres_rep2=pres_rep
replace pres_rep2=-1 if pres_rep==0&presidential==0
replace pres_rep2=0 if presidential==1
	
	
gen one=1

** generate voter ideology measure **
gen cons_lib_b=(cons-libs)/(cons+libs) if (cons<98 & libs<98)

gen ideology=abs(cons_lib_b)

gen interaction=midterm*ideology

gen cons_lib_centered=(cons_lib-49)/49 if cons_lib<98

gen ideology2=abs(cons_lib_centered)

gen interaction2=midterm*ideology2

gen party_centered=party-4 if party>0

gen party_centered_sq=party_centered^2

gen party_aff=abs(party_centered)

gen interactionp=midterm*party_aff


** indicator for voted for house republican **
gen voted_house_rep=.
replace voted_house_rep=1 if congressman==2
replace voted_house_rep=0 if congressman==1


** indicator for voted for presidential republican **
gen voted_pres_rep=.
replace voted_pres_rep=1 if pres==2
replace voted_pres_rep=0 if pres==1


** indicator for turnout/participation **
gen voted=.
replace voted=1 if vote==2
replace voted=0 if vote==1


** create presidential year dummy variables **
gen year52=0
gen year56=0
gen year60=0
gen year64=0
gen year68=0
gen year72=0
gen year76=0
gen year80=0
gen year84=0
gen year88=0
gen year92=0
gen year96=0
gen year00=0
gen year04=0
gen year08=0

replace year52=1 if year==1952
replace year56=1 if year==1956
replace year60=1 if year==1960
replace year64=1 if year==1964
replace year68=1 if year==1968
replace year72=1 if year==1972
replace year76=1 if year==1976
replace year80=1 if year==1980
replace year84=1 if year==1984
replace year88=1 if year==1988
replace year92=1 if year==1992
replace year96=1 if year==1996
replace year00=1 if year==2000
replace year04=1 if year==2004
replace year08=1 if year==2008


** drop missing cases **

drop if voted==.
drop if voted==1&voted_pres_rep==.&presidential==1
drop if voted==1&voted_house_rep==.
replace voted_house_rep=. if voted==0

** scale party variable **
replace party_centered=party_centered/3

keep state vote* party* ideology* year* pres_rep2 one VCF0009a presidential cons_lib_centered

** bring in data on timing of governor races **
sort state
merge state using state_governor_classes.dta
drop _merge

gen governor_election_year=.
replace governor_election_year=0 if type=="odd"
replace governor_election_year=1 if type=="even"
replace governor_election_year=1 if type=="presidential"&presidential==1
replace governor_election_year=0 if type=="presidential"&presidential==0
replace governor_election_year=1 if type=="midterm"&presidential==0
replace governor_election_year=0 if type=="midterm"&presidential==1

** bring in senate classes data **

sort state
merge state using senate_classes.dta
drop _merge

gen class=.
replace class=2 if year==2008
replace class=1 if year==2006
replace class=3 if year==2004
replace class=2 if year==2002
replace class=1 if year==2000
replace class=3 if year==1998
replace class=2 if year==1996
replace class=1 if year==1994
replace class=3 if year==1992
replace class=2 if year==1990
replace class=1 if year==1988
replace class=3 if year==1986
replace class=2 if year==1984
replace class=1 if year==1982
replace class=3 if year==1980
replace class=2 if year==1978
replace class=1 if year==1976
replace class=3 if year==1974
replace class=2 if year==1972
replace class=1 if year==1970
replace class=3 if year==1968
replace class=2 if year==1966
replace class=1 if year==1964
replace class=3 if year==1962
replace class=2 if year==1960
replace class=1 if year==1958
replace class=3 if year==1956
replace class=2 if year==1954
replace class=1 if year==1952
replace class=3 if year==1950
replace class=2 if year==1948

gen senate_election_year=.
replace senate_election_year=0 if class==1&missing_class==1
replace senate_election_year=0 if class==2&missing_class==2
replace senate_election_year=0 if class==3&missing_class==3
replace senate_election_year=1 if class==1&missing_class==2
replace senate_election_year=1 if class==1&missing_class==3
replace senate_election_year=1 if class==2&missing_class==1
replace senate_election_year=1 if class==2&missing_class==3
replace senate_election_year=1 if class==3&missing_class==1
replace senate_election_year=1 if class==3&missing_class==2

save final_temp.dta, replace

drop if party_centered==.

save final.dta, replace

use final_temp.dta

drop if cons_lib_centered==.

save final_ideology.dta, replace
