cap cd "C:\Users\Brian_Knight\Dropbox\midterm_gap\qjps_files"

cap log close
log using counter.log, replace

* first run z:\files\midterm_gap\clean.do *

clear
set more off
*use z:\files\midterm_gap\data\final.dta
use final.dta

* create new ideology variable *
drop if year<1972

* create new ideology variable based upon evaluations of presidential candidate ideology *
replace ideology_rep_pres=. if ideology_rep_pres>7
replace ideology_dem_pres=. if ideology_dem_pres>7
replace ideology_rep_pres=. if ideology_rep_pres==0
replace ideology_dem_pres=. if ideology_dem_pres==0
replace ideology_rep_pres=(ideology_rep_pres-4)/3
replace ideology_dem_pres=(ideology_dem_pres-4)/3
gen party_centered_pres=(party_centered-ideology_rep_pres)^2-(party_centered-ideology_dem_pres)^2
drop if party_centered_pres==.&presidential==1
replace party_centered_pres=0 if presidential==0
tab year

set more off

cap program drop hprob7
program define hprob7
	args lnf xb1 xb2 xb3
	tempvar pref_rep pref_pres rho23
	gen `rho23' = (exp(2*`xb3')-1)/(exp(2*`xb3')+1)
	qui gen `pref_rep' = `xb1'
	qui gen `pref_pres' = `xb2'
	quietly replace `lnf'=ln(binormal(`pref_rep',`pref_pres',`rho23')) if presidential==1&voted_house_rep==1&voted_pres_rep==1
	quietly replace `lnf'=ln(binormal(-`pref_rep',`pref_pres',-`rho23')) if presidential==1&voted_house_rep==0&voted_pres_rep==1
	quietly replace `lnf'=ln(binormal(`pref_rep',-`pref_pres',-`rho23')) if presidential==1&voted_house_rep==1&voted_pres_rep==0
	quietly replace `lnf'=ln(binormal(-`pref_rep',-`pref_pres',`rho23')) if presidential==1&voted_house_rep==0&voted_pres_rep==0
	quietly replace `lnf'=ln(normal(`pref_rep')) if presidential==0&voted_house_rep==1
	quietly replace `lnf'=ln(normal(-`pref_rep')) if presidential==0&voted_house_rep==0
	end
	
ml model lf hprob7 (house: voted_house_rep = party_centered pres_rep2) ///
(pres: voted_pres_rep = party_centered_pres year72 year76 year80 year84 year88 year92 year96 year00 year04 year08, nocons) ///
(rho23: voted = one, nocons) [pweight = VCF0009a] if voted==1, ///
maximize missing trace difficult iterate(200)
matrix list e(b)

gen rho=(exp(2*[rho23]_b[one])-1)/(exp(2*[rho23]_b[one])+1)
sum rho
gen b_referendum=[house]_b[pres_rep2]

cap drop house_pref pres_pref abs_house_pref abs_pres_pref sq_house_pref sq_pres_pref b_*

matrix b_first=e(b)
