cap cd "C:\Users\Brian_Knight\Dropbox\midterm_gap\qjps_files"
cap cd "C:\Users\Brian Knight\Dropbox\midterm_gap\qjps_files"

cap log close
log using counter_flexible.log, replace

* first run clean121616.do *

clear
set more off
use final.dta

** generate indicator variables for each party category (then control for these in specification, excluding the middle of the 7 categories **
quietly tabulate party_centered, generate(new_)

set more off

cap program drop hprob7
program define hprob7
	args lnf xb1 xb2 xb3
	tempvar pref_rep pref_pres rho23
	gen `rho23' = (exp(2*`xb3')-1)/(exp(2*`xb3')+1)
	qui gen `pref_rep' = `xb1'
	qui gen `pref_pres' = `xb2'
	quietly replace `lnf'=ln(binormal(`pref_rep',`pref_pres',`rho23')) if presidential==1&voted_house_rep==1&voted_pres_rep==1
	quietly replace `lnf'=ln(binormal(-`pref_rep',`pref_pres',-`rho23')) if presidential==1&voted_house_rep==0&voted_pres_rep==1
	quietly replace `lnf'=ln(binormal(`pref_rep',-`pref_pres',-`rho23')) if presidential==1&voted_house_rep==1&voted_pres_rep==0
	quietly replace `lnf'=ln(binormal(-`pref_rep',-`pref_pres',`rho23')) if presidential==1&voted_house_rep==0&voted_pres_rep==0
	quietly replace `lnf'=ln(normal(`pref_rep')) if presidential==0&voted_house_rep==1
	quietly replace `lnf'=ln(normal(-`pref_rep')) if presidential==0&voted_house_rep==0
	end
	
ml model lf hprob7 (house: voted_house_rep = new_1 new_2 new_3 new_5 new_6 new_7 pres_rep2) ///
(pres: voted_pres_rep = new_1 new_2 new_3 new_5 new_6 new_7 year52 year56 year60 year64 year68 year72 year76 year80 year84 year88 year92 year96 year00 year04 year08, nocons) ///
(rho23: voted = one, nocons) [pweight = VCF0009a] if voted==1, ///
maximize missing trace difficult iterate(200)
*** TABLE 2 THIRD COLUMN (PANELS A AND B) ***
matrix list e(b)

** get back untransformed correlation **
gen rho=(exp(2*[rho23]_b[one])-1)/(exp(2*[rho23]_b[one])+1)
sum rho
gen b_referendum=[house]_b[pres_rep2]

cap drop house_pref pres_pref abs_house_pref abs_pres_pref sq_house_pref sq_pres_pref b_*

matrix b_first=e(b)

predict house_pref, index equation(house)
predict pres_pref, index equation(pres)

gen abs_house_pref=abs(house_pref)
gen abs_pres_pref=abs(pres_pref)
replace abs_pres_pref=0 if presidential==0

gen sq_house_pref=(house_pref)^2
gen sq_pres_pref=(pres_pref)^2
replace sq_pres_pref=0 if presidential==0

** turnout probit **
*** TABLE 5 FIRST COLUMN ***
probit voted abs_house_pref abs_pres_pref [pweight = VCF0009a]
predict turnout, index
estimates store probit1
matrix b_abs1=e(b)
gen b_turnout_pres=_b[abs_pres_pref]
gen b_turnout_house=_b[abs_house_pref]
gen b_cons=_b[_cons]

** additional probits **
*** TABLE 5 SECOND COLUMN ***
probit voted abs_house_pref abs_pres_pref presidential [pweight = VCF0009a]
estimates store probit2
probit voted sq_house_pref sq_pres_pref [pweight = VCF0009a]
estimates store probit3
probit voted sq_house_pref sq_pres_pref presidential [pweight = VCF0009a]
estimates store probit4
probit voted abs_house_pref abs_pres_pref senate_election_year governor_election_year [pweight = VCF0009a]
estimates store probit5
probit voted abs_house_pref abs_pres_pref senate_election_year governor_election_year  presidential [pweight = VCF0009a]
estimates store probit6
