cap cd "C:\Users\Brian_Knight\Dropbox\midterm_gap\qjps_files"

cap log close
log using counter_thermometer.log, replace

* first run clean121616.do *


clear
set more off
use final.dta

drop if cons_lib_centered==.


set more off

cap program drop hprob7
program define hprob7
	args lnf xb1 xb2 xb3
	tempvar pref_rep pref_pres rho23
	gen `rho23' = (exp(2*`xb3')-1)/(exp(2*`xb3')+1)
	qui gen `pref_rep' = `xb1'
	qui gen `pref_pres' = `xb2'
	quietly replace `lnf'=ln(binormal(`pref_rep',`pref_pres',`rho23')) if presidential==1&voted_house_rep==1&voted_pres_rep==1
	quietly replace `lnf'=ln(binormal(-`pref_rep',`pref_pres',-`rho23')) if presidential==1&voted_house_rep==0&voted_pres_rep==1
	quietly replace `lnf'=ln(binormal(`pref_rep',-`pref_pres',-`rho23')) if presidential==1&voted_house_rep==1&voted_pres_rep==0
	quietly replace `lnf'=ln(binormal(-`pref_rep',-`pref_pres',`rho23')) if presidential==1&voted_house_rep==0&voted_pres_rep==0
	quietly replace `lnf'=ln(normal(`pref_rep')) if presidential==0&voted_house_rep==1
	quietly replace `lnf'=ln(normal(-`pref_rep')) if presidential==0&voted_house_rep==0
	end
	
ml model lf hprob7 (house: voted_house_rep = cons_lib_centered pres_rep2) ///
(pres: voted_pres_rep = cons_lib_centered year64 year68 year72 year76 year80 year84 year88 year92 year96 year00 year04 year08, nocons) ///
(rho23: voted = one, nocons) [pweight = VCF0009a] if voted==1, ///
maximize missing trace difficult iterate(200)

*** TABLE 2 SECOND COLUMN (PANELS A AND B) ***
matrix list e(b)

gen rho=(exp(2*[rho23]_b[one])-1)/(exp(2*[rho23]_b[one])+1)
sum rho
gen b_referendum=[house]_b[pres_rep2]

cap drop house_pref pres_pref abs_house_pref abs_pres_pref sq_house_pref sq_pres_pref b_*

matrix b_first=e(b)

predict house_pref, index equation(house)
predict pres_pref, index equation(pres)

gen abs_house_pref=abs(house_pref)
gen abs_pres_pref=abs(pres_pref)
replace abs_pres_pref=0 if presidential==0

gen sq_house_pref=(house_pref)^2
gen sq_pres_pref=(pres_pref)^2
replace sq_pres_pref=0 if presidential==0

** TABLE 4 FIRST COLUMN **
probit voted abs_house_pref abs_pres_pref [pweight = VCF0009a]
predict turnout, index
estimates store probit1
matrix b_abs1=e(b)
gen b_turnout_pres=_b[abs_pres_pref]
gen b_turnout_house=_b[abs_house_pref]
gen b_cons=_b[_cons]

** additional probits **
** TABLE 4 SECOND COLUMN **
probit voted abs_house_pref abs_pres_pref presidential [pweight = VCF0009a]
estimates store probit2
** TABLE 4 THIRD COLUMN **
probit voted sq_house_pref sq_pres_pref [pweight = VCF0009a]
estimates store probit3
** TABLE 4 FOURTH COLUMN **
probit voted sq_house_pref sq_pres_pref presidential [pweight = VCF0009a]
estimates store probit4

estimates table probit1 probit2 probit3  probit4, se style(oneline)

** Summary Statistics (TABLE 1A SECOND COLUMN) **
svyset [pweight=VCF0009a]
svy: mean voted if presidential==1
estat sd
svy: mean voted_house_rep voted_pres_rep if voted==1&presidential==1
estat sd
svy: mean cons_lib_centered if presidential==1
estat sd
svy: mean voted if presidential==0
estat sd
svy: mean voted_house_rep if voted==1&presidential==0
estat sd
svy: mean cons_lib_centered if presidential==0
estat sd



** post-estimation prediction **

gen p111=normal(turnout)*binormal(house_pref,pres_pref,rho) if presidential==1
gen p110=normal(turnout)*binormal(house_pref,-pres_pref,-rho) if presidential==1
gen p101=normal(turnout)*binormal(-house_pref,pres_pref,-rho) if presidential==1
gen p100=normal(turnout)*binormal(-house_pref,-pres_pref,rho) if presidential==1
gen p11=normal(turnout)*normal(house_pref) if presidential==0
gen p10=normal(turnout)*normal(-house_pref) if presidential==0
gen p0=normal(-turnout)

gen voted_house_rep_pr= (p111 + p110) if presidential==1
replace voted_house_rep_pr= p11 if presidential==0

gen voted_pr = 1-p0

***no surge (nos)**
gen turnout_nos = turnout
replace turnout_nos = turnout - (b_turnout_pres*abs_pres_pref) if presidential==1
gen p111_nos=normal(turnout_nos)*binormal(house_pref,pres_pref,rho) if presidential==1
gen p110_nos=normal(turnout_nos)*binormal(house_pref,-pres_pref,-rho) if presidential==1
gen p101_nos=normal(turnout_nos)*binormal(-house_pref,pres_pref,-rho) if presidential==1
gen p100_nos=normal(turnout_nos)*binormal(-house_pref,-pres_pref,rho) if presidential==1
gen p11_nos=normal(turnout_nos)*normal(house_pref) if presidential==0
gen p10_nos=normal(turnout_nos)*normal(-house_pref) if presidential==0
gen p0_nos=normal(-turnout_nos)

gen voted_house_rep_nos= (p111_nos + p110_nos) if presidential==1
replace voted_house_rep_nos= p11_nos if presidential==0

gen voted_nos = 1-p0_nos

***no referenda (nor)**
gen house_pref_nor = house_pref if presidential==1
replace house_pref_nor = house_pref - (b_referendum*pres_rep2) if presidential==0
gen turnout_nor = turnout  if presidential==1
replace turnout_nor = turnout - b_turnout_house*abs(house_pref) + b_turnout_house*abs(house_pref_nor) if presidential==0
gen p111_nor=normal(turnout_nor)*binormal(house_pref_nor,pres_pref,rho) if presidential==1
gen p110_nor=normal(turnout_nor)*binormal(house_pref_nor,-pres_pref,-rho) if presidential==1
gen p101_nor=normal(turnout_nor)*binormal(-house_pref_nor,pres_pref,-rho) if presidential==1
gen p100_nor=normal(turnout_nor)*binormal(-house_pref_nor,-pres_pref,rho) if presidential==1
gen p11_nor=normal(turnout_nor)*normal(house_pref_nor) if presidential==0
gen p10_nor=normal(turnout_nor)*normal(-house_pref_nor) if presidential==0
gen p0_nor=normal(-turnout_nor)

gen voted_house_rep_nor= (p111_nor + p110_nor) if presidential==1
replace voted_house_rep_nor= p11_nor if presidential==0
gen voted_nor = 1-p0_nor

***

save counter_temp1.dta, replace

collapse (mean) presidential pres_rep2 voted_house_rep voted_house_rep_pr voted_pr voted_house_rep_nos voted_nos voted_house_rep_nor voted_nor [pweight=VCF0009a], by(year)

sort year
list

save counterfactual.dta, replace

***no reversion to the mean (nom)**
***predict how pool of presidential voters would have voted in the MT election**

use counter_temp1.dta

drop if presidential==0

expand 2, gen(dup)

replace presidential=0 if dup==1

replace year=year+2 if dup==1

gen house_pref_nom = house_pref
replace house_pref_nom = house_pref + b_referendum if presidential==0
replace house_pref_nom = house_pref - b_referendum if year==1962
replace house_pref_nom = house_pref - b_referendum if year==1966
replace house_pref_nom = house_pref - b_referendum if year==1978
replace house_pref_nom = house_pref - b_referendum if year==1994
replace house_pref_nom = house_pref - b_referendum if year==1998
replace house_pref_nom = house_pref - b_referendum if year==2010

gen turnout_nom = turnout

replace turnout_nom = b_cons + b_turnout_house*abs(house_pref_nom) if presidential==0

gen p11_nom=normal(turnout_nom)*normal(house_pref_nom)
gen p10_nom=normal(turnout_nom)*normal(-house_pref_nom)
gen p0_nom=normal(-turnout_nom)

gen voted_house_rep_nom= p11_nom
gen voted_nom= 1-p0_nom


collapse (mean) voted_house_rep_nom voted_nom [pweight=VCF0009a], by(year)


sort year

merge year using counterfactual.dta

drop _merge

drop if year<1964
drop if year==1976
drop if year==1978
drop if year>2002

sort year
save counterfactual2.dta, replace

import excel actual_returns.xlsx, sheet("Sheet1") firstrow clear

drop if year<1964

sort year

merge year using counterfactual2.dta

save counterfactual3.dta, replace

gen predict_pr=voted_house_rep_pr/voted_pr
gen predict_nos=voted_house_rep_nos/voted_nos
gen predict_nor=voted_house_rep_nor/voted_nor
gen predict_nom=voted_house_rep_nom/voted_nom

gen presidents_party=pres_rep2
replace presidents_party=1 if year==1956
replace presidents_party=1 if year==1968
replace presidents_party=1 if year==1972
replace presidents_party=1 if year==1980
replace presidents_party=1 if year==1984
replace presidents_party=1 if year==1988
replace presidents_party=1 if year==2000
replace presidents_party=-1 if year==1960
replace presidents_party=-1 if year==1964
replace presidents_party=-1 if year==1976
replace presidents_party=-1 if year==1992
replace presidents_party=-1 if year==1996

gen actual_pres=actual if presidents_party==1
replace actual_pres=(1-actual) if presidents_party==-1
gen nes_pres=voted_house_rep if presidents_party==1
replace nes_pres=(1-voted_house_rep) if presidents_party==-1
gen predicted_pres=predict_pr if presidents_party==1
replace predicted_pres=(1-predict_pr) if presidents_party==-1
gen nos_pres=predict_nos if presidents_party==1
replace nos_pres=(1-predict_nos) if presidents_party==-1
gen nor_pres=predict_nor if presidents_party==1
replace nor_pres=(1-predict_nor) if presidents_party==-1
gen nom_pres=predict_nom if presidents_party==1
replace nom_pres=(1-predict_nom) if presidents_party==-1

sort year
gen gap_actual=actual_pres-actual_pres[_n-1] if presidential==0
gen gap_nes=nes_pres-nes_pres[_n-1] if presidential==0
gen gap_model=predicted_pres-predicted_pres[_n-1] if presidential==0
gen gap_no_surge=nos_pres-nos_pres[_n-1] if presidential==0
gen gap_no_referendum=nor_pres-nor_pres[_n-1] if presidential==0
gen gap_no_mean_reversion=nom_pres-nom_pres[_n-1] if presidential==0

replace gap_actual=0 if presidential==1
replace gap_nes=0 if presidential==1
replace gap_model=0 if presidential==1
replace gap_no_surge=0 if presidential==1
replace gap_no_referendum=0 if presidential==1
replace gap_no_mean_reversion=0 if presidential==1

sum gap*



collapse (mean) gap*, by(presidential)
keep if presidential==0
list
