cd C:\users\Brian_Knight\dropbox\midterm_gap\qjps_files\

twoway (function y=normalden(x), range(-2 2)) ///
(function y=normalden(x), range(-2 -0.5) color(blue) recast(area)) ///
(function y=normalden(x), range(0.5 2) color(red) recast(area)) ///
(function y=0.08,  yvarlab(cost) range(-2 2) lpattern(dot)) ///
(function y=abs(0.08*x),  yvarlab(ben) range(-2 2)) ///
(function y=abs(0.16*x), yvarlab(tot_ben) range(-2 2) lpattern(longdash)), ///
fysize(36) legend(off) title(Presidential voting) saving(1a.gph, replace) ylabel(none) xlabel(0) xtitle(voter partisanship) ytitle("")

twoway (function y=normalden(x), range(-2 2)) ///
(function y=normalden(x), yvarlab() range(-2 -0.5) color(blue) recast(area)) ///
(function y=normalden(x), yvarlab() range(0.5 2) color(red) recast(area)) ///
(function y=0.08,  yvarlab(cost) range(-2 2) lpattern(dot)) ///
(function y=abs(0.08*x),  yvarlab(ben) range(-2 2)) ///
(function y=abs(0.16*x), yvarlab(tot_ben) range(-2 2) lpattern(longdash)), ///
legend(order(4 5 6) rows(1)) title(House voting in Presidential year) saving(1b.gph, replace) ylabel(none) xlabel(0) xtitle(voter partisanship) ytitle("")

twoway (function y=normalden(x), range(-2 2)) ///
(function y=normalden(x), range(-2 -1) color(blue) recast(area)) ///
(function y=normalden(x), range(1 2) color(red) recast(area)) ///
(function y=0.08, yvarlab(cost) range(-2 2) lpattern(dot)) ///
(function y=abs(0.08*x), yvarlab(ben) range(-2 2)), ///
legend(order(4 5) rows(1)) title(House voting in midterm year) saving(1c.gph, replace) ylabel(none) xlabel(0) xtitle(voter partisanship) ytitle("")

graph combine 1a.gph 1b.gph 1c.gph, ysize(6.6) xsize(9.075) holes(2) title(Figure 1: Baseline scenario with no midterm gap) 
graph save 1.gph, replace


twoway (function y=normalden(x), range(-2 2)) ///
(function y=normalden(x), range(-2 -0.5) color(blue) recast(area)) ///
(function y=normalden(x), range(0.5 2) color(red) recast(area)) ///
(function y=0.08,  yvarlab(cost) range(-2 2) lpattern(dot)) ///
(function y=abs(0.08*x),  yvarlab(ben) range(-2 2)) ///
(function y=abs(0.16*x), yvarlab(tot_ben) range(-2 2) lpattern(longdash)), ///
fysize(36) legend(off) title(Presidential voting) saving(2a.gph, replace) ylabel(none) xlabel(0) xtitle(voter partisanship) ytitle("")

twoway (function y=normalden(x), range(-2 2)) ///
(function y=normalden(x), yvarlab() range(-2 -0.5) color(blue) recast(area)) ///
(function y=normalden(x), yvarlab() range(0.5 2) color(red) recast(area)) ///
(function y=0.08,  yvarlab(cost) range(-2 2) lpattern(dot)) ///
(function y=abs(0.08*x),  yvarlab(ben) range(-2 2)) ///
(function y=abs(0.16*x), yvarlab(tot_ben) range(-2 2) lpattern(longdash)), ///
legend(order(4 5 6) rows(1)) title(House voting in Presidential year) saving(2b.gph, replace) ylabel(none) xlabel(0) xtitle(voter partisanship) ytitle("")

twoway (function y=normalden(x), range(-2 2)) ///
(function y=normalden(x), range(-2 -0.5) color(blue) recast(area)) ///
(function y=normalden(x), range(1.5 2) color(red) recast(area)) ///
(function y=0.08, yvarlab(cost) range(-2 2) lpattern(dot)) ///
(function y=abs(0.08*(x-0.5)), yvarlab(ben) range(-2 2)), ///
legend(order(4 5) rows(1)) title(House voting in midterm year) saving(2c.gph, replace) ylabel(none) xlabel(0) xtitle(voter partisanship) ytitle("")

graph combine 2a.gph 2b.gph 2c.gph, ysize(6.6) xsize(9.075) holes(2) title(Figure 2: Midterm Penalty with a Republican President) 
graph save 2.gph, replace


twoway (function y=normalden(x), range(-2 2)) ///
(function y=normalden(x), range(-2 -0.25) color(blue) recast(area)) ///
(function y=normalden(x), range(0.75 2) color(red) recast(area)) ///
(function y=0.08,  yvarlab(cost) range(-2 2) lpattern(dot)) ///
(function y=abs(0.08*(x-0.5)),  yvarlab(ben) range(-2 2)) ///
(function y=0.08*abs(x)+0.08*abs(x-0.5), yvarlab(tot_ben) range(-2 2) lpattern(longdash)), ///
fysize(36) legend(off) title(Presidential voting) saving(3a.gph, replace) ylabel(none) xlabel(0) xtitle(voter partisanship) ytitle("")

twoway (function y=normalden(x), range(-2 2)) ///
(function y=normalden(x), yvarlab() range(-2 -0.25) color(blue) recast(area)) ///
(function y=normalden(x), yvarlab() range(0.75 2) color(red) recast(area)) ///
(function y=0.08,  yvarlab(cost) range(-2 2) lpattern(dot)) ///
(function y=abs(0.08*x),  yvarlab(ben) range(-2 2)) ///
(function y=0.08*abs(x)+0.08*abs(x-0.5), yvarlab(tot_ben) range(-2 2) lpattern(longdash)), ///
legend(order(4 5 6) rows(1)) title(House voting in Presidential year) saving(3b.gph, replace) ylabel(none) xlabel(0) xtitle(voter partisanship) ytitle("")

twoway (function y=normalden(x), range(-2 2)) ///
(function y=normalden(x), range(-2 -1) color(blue) recast(area)) ///
(function y=normalden(x), range(1 2) color(red) recast(area)) ///
(function y=0.08, yvarlab(cost) range(-2 2) lpattern(dot)) ///
(function y=abs(0.08*x), yvarlab(ben) range(-2 2)), ///
legend(order(4 5) rows(1)) title(House voting in midterm year) saving(3c.gph, replace) ylabel(none) xlabel(0) xtitle(voter partisanship) ytitle("")

graph combine 3a.gph 3b.gph 3c.gph, ysize(6.6) xsize(9.075) holes(2) title(Figure 3: Surge and Decline) 
graph save 3.gph, replace



twoway (function y=normalden(x+0.5), range(-2 2)) ///
(function y=normalden(x+0.5), range(-2 -0.5) color(blue) recast(area)) ///
(function y=normalden(x+0.5), range(0.5 2) color(red) recast(area)) ///
(function y=0.08,  yvarlab(cost) range(-2 2) lpattern(dot)) ///
(function y=abs(0.08*x),  yvarlab(ben) range(-2 2)) ///
(function y=abs(0.16*x), yvarlab(tot_ben) range(-2 2) lpattern(longdash)), ///
fysize(36) legend(off) title(Presidential voting) saving(4a.gph, replace) ylabel(none) xlabel(0) xtitle(voter partisanship) ytitle("")

twoway (function y=normalden(x+0.5), range(-2 2)) ///
(function y=normalden(x+0.5), yvarlab() range(-2 -0.5) color(blue) recast(area)) ///
(function y=normalden(x+0.5), yvarlab() range(0.5 2) color(red) recast(area)) ///
(function y=0.08,  yvarlab(cost) range(-2 2) lpattern(dot)) ///
(function y=abs(0.08*x),  yvarlab(ben) range(-2 2)) ///
(function y=abs(0.16*x), yvarlab(tot_ben) range(-2 2) lpattern(longdash)), ///
legend(order(4 5 6) rows(1)) title(House voting in Presidential year) saving(4b.gph, replace) ylabel(none) xlabel(0) xtitle(voter partisanship) ytitle("")

twoway (function y=normalden(x), range(-2 2)) ///
(function y=normalden(x), range(-2 -1) color(blue) recast(area)) ///
(function y=normalden(x), range(1 2) color(red) recast(area)) ///
(function y=0.08, yvarlab(cost) range(-2 2) lpattern(dot)) ///
(function y=abs(0.08*x), yvarlab(ben) range(-2 2)), ///
legend(order(4 5) rows(1)) title(House voting in midterm year) saving(4c.gph, replace) ylabel(none) xlabel(0) xtitle(voter partisanship) ytitle("")

graph combine 4a.gph 4b.gph 4c.gph, ysize(6.6) xsize(9.075) holes(2) title(Figure 4: Reversion to the Mean in Voter partisanship) 
graph save 4.gph, replace


