** run this after clean121616.do **

clear
cap cd "C:\Users\Brian Knight\Dropbox\midterm_gap\qjps_files"
use final.dta, clear

gen pres_rep3=pres_rep2

replace pres_rep3=1 if year==1952
replace pres_rep3=1 if year==1956
replace pres_rep3=-1 if year==1960
replace pres_rep3=-1 if year==1964
replace pres_rep3=1 if year==1968
replace pres_rep3=1 if year==1972
replace pres_rep3=-1 if year==1976
replace pres_rep3=1 if year==1980
replace pres_rep3=1 if year==1984
replace pres_rep3=1 if year==1988
replace pres_rep3=-1 if year==1992
replace pres_rep3=-1 if year==1996
replace pres_rep3=1 if year==2000
replace pres_rep3=1 if year==2004
replace pres_rep3=-1 if year==2008

drop if year<1956
drop if year>2002

gen pres_id=party_centered
replace pres_id=-party_centered if pres_rep3==-1
gen voted_pres_party=voted_house_rep
replace voted_pres_party=1-voted_house_rep if pres_rep3==-1

* regression versions *
*bysort pres_id: reg voted_pres_party presidential [pweight=VCF0009a]
*bysort pres_id: reg voted presidential [pweight=VCF0009a]

*xi: reg voted_pres_party i.presidential*pres_id [pweight=VCF0009a]

*bysort party_centered pres_rep3: reg voted_house_rep presidential [pweight=VCF0009a]
*bysort party_centered pres_rep3: reg voted presidential [pweight=VCF0009a]

*xi: reg voted_pres_party i.presidential*pres_id [pweight=VCF0009a]



collapse (mean) voted voted_pres_party party_centered (sum) one [pweight=VCF0009a], by(presidential pres_id)
*collapse (mean) voted voted_house_rep (sum) one [pweight=VCF0009a], by(presidential party_centered pres_rep3)

label define presidential 1 "Presidential year" 0 "Midterm year"
label values presidential presidential


twoway (connected voted pres_id if presidential==1) ///
(connected voted pres_id if presidential==0,  lpattern(longdash)), ///
title(Figure 6: Turnout in Presidential and Midterm Years) ///
legend(on order( 1 "Presidential year" 2 "Midterm year")) ///
ytitle(fraction voted) xtitle(President's partisanship) ysize(6.6) xsize(9.075)
graph save fig6_new.gph, replace

twoway (connected voted_pres_party pres_id if presidential==1) ///
(connected voted_pres_party pres_id if presidential==0,  lpattern(longdash)), ///
title(Figure 7: Support for President's party) ///
legend(on order( 1 "Presidential year" 2 "Midterm year")) ///
ytitle(fraction voting for President's party) xtitle(President's partisanship) ysize(6.6) xsize(9.075)
graph save fig7_new.gph, replace

egen one_tot=sum(one), by(presidential)

gen frac_electorate=one/one_tot

gen midterm=1-presidential

replace pres_id=-0.33 if pres_id<-0.33&pres_id>-0.34
replace pres_id=-0.67 if pres_id<-0.66&pres_id>-0.67
replace pres_id=0.33 if pres_id>0.33&pres_id<0.34
replace pres_id=0.67 if pres_id>0.66&pres_id<0.67

label define midterm 1 "MT" 0 "PR"
label values midterm midterm

graph bar (asis) frac_electorate,over(midterm) over(pres_id) ///
title(Figure 8: Ideological Composition of the Electorate) ///
subtitle(by President's partisanship and PR vs. MT) ysize(6.6) xsize(9.075)
graph save fig8_new.gph, replace
